﻿<%@ Page Language="C#" MasterPageFile="~/OWDemoShell.Master" AutoEventWireup="true" CodeBehind="WordTemplate_HelloWorld.aspx.cs" Inherits="HelloWorld.WordWriter.WordTemplate_HelloWorld" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DemoTitle" runat="server">Hello World - WordTemplate
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="DemoBody" runat="server">
    <p>WordWriter's <a href="http://wiki.softartisans.com/display/WW8/WordTemplate+API">WordTemplate</a> allows you to write data to a 
    template file that contains merge fields. WordWriter binds data to the merge fields, very similar to the native Word mail merge 
    functionality. For more information, check out our <a href="http://wiki.softartisans.com/display/WW8/WordTemplate+Tutorials">
    WordTemplate Tutorials</a>.</p>
    <p>In this example,
    the DOCX template file contains a single merge field which will bind to the value written in the text box below. 
    We recommend taking a look at the <a href="templates/template.docx">template file</a>.</p>
    <asp:TextBox ID="DataValueBox" runat="server" Width="167px"></asp:TextBox>&nbsp;&nbsp;&nbsp;&nbsp; 
    <asp:Button ID="RunHelloWorld" runat="server" Text="Run Hello World" 
        onclick="RunHelloWorld_Click" />
    <p><asp:Label ID="ErrorLabel" runat="server" Text="[Error Label]" Visible="False" 
        ForeColor="Red"></asp:Label></p>
</asp:Content>
